using MediatR;

namespace AutobusApi.Application.Addresses.Commands.CreateAddress;

public record CreateAddressCommand : IRequest<int>
{
    public string Name { get; set; } = null!;

    public int CityId { get; set; }

    public double Latitude { get; set; }
    
    public double Longitude { get; set; }

    public string VehicleType { get; set; } = null!;
}
