using MediatR;

namespace AutobusApi.Application.Addresses.Commands.UpdateAddress;

public record UpdateAddressCommand : IRequest
{
    public int Id { get; set; }

    public string Name { get; set; } = null!;

    public int CityId { get; set; }

    public double Latitude { get; set; }
    
    public double Longitude { get; set; }

    public string VehicleType { get; set; } = null!;
}
