using AutobusApi.Application.Common.Models;
using MediatR;

namespace AutobusApi.Application.Addresses.Queries.GetAddressesWithPagination;

public record GetAddressesWithPaginationQuery : IRequest<PaginatedList<AddressDto>>
{
    public string Sort { get; set; } = "";

    public int PageNumber { get; set; } = 1;

    public int PageSize { get; set; } = 10;
}
