using AutobusApi.Application.Common.Models;
using MediatR;

namespace AutobusApi.Application.Buses.Queries.GetBusesWithPagination;

public record GetBusesWithPaginationQuery : IRequest<PaginatedList<BusDto>>
{
    public string Sort { get; set; } = "";

    public int PageNumber { get; set; } = 1;

    public int PageSize { get; set; } = 10;
}
