using MediatR;

namespace AutobusApi.Application.Companies.Commands.UpdateCompany;

public record UpdateCompanyCommand : IRequest
{
    public int Id { get; set; }

    public string Name { get; set; } = null!;

    public string LegalAddress { get; set; } = null!;

    public string ContactEmail { get; set; } = null!;

    public string ContactPhoneNumber { get; set; } = null!;
}
