using AutobusApi.Application.Common.Mappings;
using AutobusApi.Domain.Entities;

namespace AutobusApi.Application.Companies.Queries;

public class CompanyDto : IMapFrom<Company>
{
    public int Id { get; set; }

    public string Name { get; set; } = null!;

    public string LegalAddress { get; set; } = null!;

    public string ContactEmail { get; set; } = null!;

    public string ContactPhoneNumber { get; set; } = null!;
}
