using FluentValidation;

namespace AutobusApi.Application.Regions.Commands.UpdateRegion;

public class UpdateRegionCommandValidator : AbstractValidator<UpdateRegionCommand>
{
    public UpdateRegionCommandValidator()
    {
        RuleFor(v => v.Name).MinimumLength(2).MaximumLength(64);
    }
}
