using AutobusApi.Application.Common.Models;
using MediatR;

namespace AutobusApi.Application.Regions.Queries.GetRegionsWithPagination;

public record GetRegionsWithPaginationQuery : IRequest<PaginatedList<RegionDto>>
{
    public string Sort { get; set; } = "";

    public int PageNumber { get; set; } = 1;

    public int PageSize { get; set; } = 10;
}
