using MediatR;

namespace AutobusApi.Application.Routes.Commands.UpdateRoute;

public record UpdateRouteCommand : IRequest
{
    public int Id { get; set; }

    public List<UpdateRouteAddressAddressCommand> Addresses { get; set; } = null!;
}

public record UpdateRouteAddressAddressCommand
{
    public int Id { get; set; }

    public int Order { get; set; }
}
