using AutobusApi.Application.Common.Models;
using MediatR;

namespace AutobusApi.Application.Routes.Queries.GetRoutesWithPagination;

public record GetRoutesWithPaginationQuery : IRequest<PaginatedList<RouteDto>>
{
    public string Sort { get; set; } = "";

    public int PageNumber { get; set; } = 1;

    public int PageSize { get; set; } = 10;
}
