using AutobusApi.Application.Common.Models;
using MediatR;

namespace AutobusApi.Application.TicketGroups.Queries.GetTicketGroupsWithPagination;

public record GetTicketGroupsWithPaginationQuery : IRequest<PaginatedList<TicketGroupDto>>
{
    public string Sort { get; set; } = "";

    public int PageNumber { get; set; } = 1;

    public int PageSize { get; set; } = 10;
}
