using AutobusApi.Application.Common.Models;
using MediatR;

namespace AutobusApi.Application.VehicleEnrollments.Queries.GetVehicleEnrollmentsWithPagination;

public record GetVehicleEnrollmentsWithPaginationQuery : IRequest<PaginatedList<VehicleEnrollmentDto>>
{
    public string Sort { get; set; } = "";

    public int PageNumber { get; set; } = 1;

    public int PageSize { get; set; } = 10;
}
