using AutobusApi.Domain.Common;

namespace AutobusApi.Domain.Entities;

public class RouteAddress : EntityBase
{
    public int Order { get; set; }

    public int AddressId { get; set; }

    public Address Address { get; set; } = null!;

    public int RouteId { get; set; }

    public Route Route { get; set; } = null!;

    public ICollection<RouteAddressDetails> RouteAddressDetails { get; set; } = null!;
}
