using MediatR;

namespace AutobusApi.Application.Buses.Commands.CreateBus;

public record CreateBusCommand : IRequest<int>
{
    public int CompanyId { get; set; }

    public string Number { get; set; } = null!;

    public string Model { get; set; } = null!;

    public int Capacity { get; set; }

    public bool HasClimateControl { get; set; }

    public bool HasWiFi { get; set; }

    public bool HasMultimedia { get; set; }

    public bool HasWC { get; set; }

    public bool HasOutlets { get; set; }
}
