using AutobusApi.Application.Common.Models;
using MediatR;

namespace AutobusApi.Application.Cities.Queries.GetCitiesWithPagination;

public record GetCitiesWithPaginationQuery : IRequest<PaginatedList<CityDto>>
{
    public string Sort { get; set; } = "";

    public int PageNumber { get; set; } = 1;

    public int PageSize { get; set; } = 10;
}
