using AutobusApi.Application.Common.Models.Identity;

namespace AutobusApi.Application.Common.Interfaces;

public interface IIdentityService
{
    Task<int> RegisterAsync(string email, string password, CancellationToken cancellationToken);

    Task<TokensModel> LoginAsync(string email, string password, CancellationToken cancellationToken);

    Task<TokensModel> RenewAccessTokenAsync(string refreshToken, CancellationToken cancellationToken);

    Task RevokeRefreshTokenAsync(string refreshToken, CancellationToken cancellationToken);
}
