using MediatR;

namespace AutobusApi.Application.Companies.Commands.CreateCompany;

public record CreateCompanyCommand : IRequest<int>
{
    public string Name { get; set; } = null!;

    public string LegalAddress { get; set; } = null!;

    public string ContactEmail { get; set; } = null!;

    public string ContactPhoneNumber { get; set; } = null!;

    public string OwnerEmail { get; set; } = null!;

    public string OwnerPassword { get; set; } = null!;

    public string OwnerFirstName { get; set; } = null!;

    public string OwnerLastName { get; set; } = null!;

    public string OwnerPatronymic { get; set; } = null!;

    public string OwnerSex { get; set; } = null!;
    
    public DateOnly OwnerBirthDate { get; set; }

    public string OwnerDocumentType { get; set; } = null!;

    public string OwnerDocumentInformation { get; set; } = null!;
}
