using FluentValidation;

namespace AutobusApi.Application.Countries.Commands.CreateCountry;

public class CreateCountryCommandValidator : AbstractValidator<CreateCountryCommand>
{
    public CreateCountryCommandValidator()
    {
        RuleFor(v => v.Name).MinimumLength(2).MaximumLength(64);
    }
}
