using AutobusApi.Application.Common.Models;
using MediatR;

namespace AutobusApi.Application.Employees.Queries.GetEmployeesWithPagination;

public record GetEmployeesWithPaginationQuery : IRequest<PaginatedList<EmployeeDto>>
{
    public string Sort { get; set; } = "";

    public int PageNumber { get; set; } = 1;

    public int PageSize { get; set; } = 10;
}
