using AutobusApi.Application.Common.Models.Identity;
using MediatR;

namespace AutobusApi.Application.Identity.Queries.Login;

public record LoginQuery : IRequest<TokensModel>
{
    public required string Email { get; set; }

    public required string Password { get; set; }
}
