using FluentValidation;

namespace AutobusApi.Application.Regions.Commands.CreateRegion;

public class CreateRegionCommandValidator : AbstractValidator<CreateRegionCommand>
{
    public CreateRegionCommandValidator()
    {
        RuleFor(v => v.Name).MinimumLength(2).MaximumLength(64);
    }
}
