using MediatR;

namespace AutobusApi.Application.Routes.Commands.CreateRoute;

public record CreateRouteCommand : IRequest<int>
{
    public List<CreateRouteAddressCommand> Addresses { get; set; } = null!;
}

public record CreateRouteAddressCommand
{
    public int Id { get; set; }

    public int Order { get; set; }
}
