using AutobusApi.Domain.Common;

namespace AutobusApi.Domain.Entities;

public class Ticket : EntityBase
{
    public int DepartureAddressId { get; set; }

    public int ArrivalAddressId { get; set; }

    public int TicketGroupId { get; set; }

    public TicketGroup TicketGroup { get; set; } = null!;

    public int VehicleEnrollmentId { get; set; }

    public VehicleEnrollment VehicleEnrollment { get; set; } = null!;
}
