using AutobusApi.Domain.Common;
using AutobusApi.Domain.Enums;

namespace AutobusApi.Domain.Entities;

public class TicketDocument : EntityBase
{
    public TicketDocumentType Type { get; set; }

    public string Information { get; set; } = null!;

    public int TicketGroupId { get; set; }

    public TicketGroup TicketGroup { get; set; } = null!;
}
